#! /bin/sh
# ~/.xsessionrc: execute commands at the beginning of the X user
#              session - before the window manager is started.
#

# include .profile if it exists
if [ -f "$HOME/.profile" ]; then
    . "$HOME/.profile"
fi

# backlight
if [ -f /sys/class/backlight/intel_backlight/brightness ]; then
   echo $(($(cat /sys/class/backlight/intel_backlight/brightness)/2)) | sudo tee /sys/class/backlight/intel_backlight/brightness
fi

git config --global user.name toto
git config --global user.email .

xset b off

dconf load /org/gnome/terminal/legacy/profiles:/ < /usr/share/gnome/gnome-terminal-profiles.dconf

dconf write /org/cinnamon/desktop/interface/gtk-theme "'Adwaita-dark'"

dconf write /org/cinnamon/desktop/background/picture-uri "'file:///usr/share/desktop-base/softwaves-theme/wallpaper/gnome-background.xml'"

dconf write /org/cinnamon/settings-daemon/plugins/power/button-power "'interactive'"

dconf write /org/cinnamon/desktop/keybindings/media-keys/terminal "['<Primary><Alt>t', '<Alt>x']"

dconf write /apps/light-locker/lock-after-screensaver "uint32 0"

dconf write /org/nemo/preferences/size-prefixes "'base-2'"

